package s3.services.simplejit;

import ovm.core.domain.Method;

public class SimpleJITTestModeCompileFilter
    extends SimpleJITCompileFilter {
    public final boolean shouldCompile(Method method) {
	String sig = method.getSelector().toString();

	//for testing micro tests
	if (
	    sig.startsWith("Ltest/common/TestAbstractInterpretation;")
	    || sig.startsWith("Gtest/common/TestAbstractInterpretation;")
	    //sig.startsWith("Govm/util/Arrays;")
	    //sig.startsWith("Ljava/util/Properties;.load:(Ljava/io/InputStream;)V")
	    //|| sig.startsWith("Gjava/io/LibraryGlue;")
            ) {
	    return true;
	}
	return false;
    }
}
